Create SpeechCredential
curl --request POST \
--url https://api.example.com/v1/Accounts/{account_sid}/SpeechCredentials \
--header 'Content-Type: application/json' \
--data '
{
"access_key_id": "AKIXXXXXXXXXXXXX",
"secret_access_key": "****************************",
"use_for_stt": true,
"use_for_tts": true,
"vendor": "aws"
}
'import requests
url = "https://api.example.com/v1/Accounts/{account_sid}/SpeechCredentials"
payload = {
"access_key_id": "AKIXXXXXXXXXXXXX",
"secret_access_key": "****************************",
"use_for_stt": True,
"use_for_tts": True,
"vendor": "aws"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
access_key_id: 'AKIXXXXXXXXXXXXX',
secret_access_key: '****************************',
use_for_stt: true,
use_for_tts: true,
vendor: 'aws'
})
};
fetch('https://api.example.com/v1/Accounts/{account_sid}/SpeechCredentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sid": "49d36fb5-ac01-4e7a-ad8a-824033381afd"
}v1
Create SpeechCredential
Create a SpeechCredential
POST
/
v1
/
Accounts
/
{account_sid}
/
SpeechCredentials
Create SpeechCredential
Path Parameters
Example:
"5f8e8f60-4771-44cb-92a6-94ea66df0450"
Body
application/json
Response
201 - application/json
Create SpeechCredential
Example:
"49d36fb5-ac01-4e7a-ad8a-824033381afd"
⌘I

